
QGIS Application - Bug report #14522

QGIS SERVER FILTER not working

2016-03-17 11:27 AM - Martin Baloga

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22495

Description

qgis filter not working using search feature in qwc or typing wms filter request. Filter returns random set of results:

http://89.185.248.140:8080/qgiswebclient.html?map=c:/data_mapy/trencin.qgs

Filter set to "Kataster_KN" layer in field "parcela"

History

#1 - 2016-03-17 11:29 AM - Martin Baloga

It is postgis layer published as wfs.

#2 - 2016-03-22 08:55 PM - Martin Baloga

Qgis server working properly. Bug is in bad request sent from qgis web client. The correct format should be:

Layer:"field" = 'value'

Could anyone fix it in QWC?

Thanx.

#3 - 2016-03-28 02:56 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Not an issue in QGIS - Please open a ticket on the QGIS Web client issue tracker.

#4 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
